Name:           scrip
Version:        1.4
Release:        15%{?dist}
Summary:        Spherical Coordinate Remapping and Interpolation Package (SCRIP)

Group:          Applications/Engineering
#  The license is very similar to BSD with one exception: modified 
#  sources cannot be redistributed using the "SCRIP" name.
License:        SCRIP
URL:            http://climate.lanl.gov/Software/SCRIP/
Source0:        http://climate.lanl.gov/Software/SCRIP/scrip1.4.tar.gz
Source1:        http://climate.lanl.gov/Software/SCRIP/copyright.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-gfortran
BuildRequires:  netcdf-devel

%description
SCRIP is a software package which computes addresses and weights for
remapping and interpolating fields between grids in spherical
coordinates. It was written originally for remapping fields to other
grids in a coupled climate model, but is sufficiently general that it
can be used in other applications as well. The package should work for
any grid on the surface of a sphere.

%prep
%setup -q -n SCRIP
cd ${RPM_BUILD_DIR}/SCRIP
%{__cp} %SOURCE1 .

%build
cd source
%{__make} COMPILE=gfortran FLAGS="${RPM_OPT_FLAGS} -I%{_includedir}/netcdf" LIB="-lnetcdff -lnetcdf"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
%{__cp} scrip ${RPM_BUILD_ROOT}%{_bindir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc copyright.html doc/SCRIPusers.pdf bugs
%{_bindir}/*

%changelog
* Wed Nov 25 2009 Orion Poplawski <orion@cora.nwra.com> - 1.4-15
- Rebuild for netcdf 4.1.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.4-13
- Fix FTBFS: fixed netcdf include dir.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jun 1 2008 Jon Stanley <jonstanley@gmail.com> - 1.4-11
- Fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4-10
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 Ed Hill <ed@eh3.com> - 1.4-9
- add -lnetcdff for new netcdf v3.6.2

* Sat Aug 25 2007 Ed Hill <ed@eh3.com> - 1.4-8
- rebuild for BuildID

* Sun Jun 24 2007 Ed Hill <ed@eh3.com> - 1.4-7
- fix URL (Fedora bz 245388)

* Thu Aug 31 2006 Ed Hill <ed@eh3.com> - 1.4-6
- rebuild for imminent FC-6 release

* Wed May 17 2006 Ed Hill <ed@eh3.com> - 1.4-5
- fix license name

* Wed May 17 2006 Ed Hill <ed@eh3.com> - 1.4-4
- make should respect rpm flags (thanks to Patrice Dumas)

* Tue May 16 2006 Ed Hill <ed@eh3.com> - 1.4-3
- add netcdf-devel buildrequires

* Tue May 16 2006 Ed Hill <ed@eh3.com> - 1.4-2
- remove redundant source and add netcdf-devel BR

* Mon May 15 2006 Ed Hill <ed@eh3.com> - 1.4-1
- initial package creation

